#include <syslog.h>
#include <stdarg.h>
#include "nss_setup.h"

/* log functions */
#if DEBUG>0
void _nss_pgsql_log (int err, const char *format,...)
{
	va_list args;

	va_start (args, format);
	openlog ("nss_pgsql", LOG_PID, LOG_AUTH);
	vsyslog (err, format, args);
	va_end (args);
	closelog ();
}
#endif
